package com.securitycontrol.background.controller;

import com.securitycontrol.background.service.IAppService;
import com.securitycontrol.common.core.web.domain.AjaxResult;
import com.securitycontrol.entity.background.dto.ParamDto;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author：cwchen
 * @date：2024-03-28-17:30
 * @version：1.0
 * @description：APP-web层
 */
@RestController
@RequestMapping("/app/index/")
public class AppController {

    @Resource(name = "IAppService")
    private IAppService service;

    @ApiOperation(value = "项目简介")
    @GetMapping("getProBrief")
    public AjaxResult getProBrief(ParamDto dto){
       return service.getProBrief(dto);
    }

    @ApiOperation(value = "当前登录人绑定工程")
    @GetMapping("getProsByUser")
    public AjaxResult getProsByUser(ParamDto dto){
        return service.getProsByUser(dto);
    }

    @ApiOperation(value = "人员管理")
    @GetMapping("getPersonnelList")
    public AjaxResult getPersonnelList(ParamDto dto){
        return service.getPersonnelList(dto);
    }

    @ApiOperation(value = "车辆管理")
    @GetMapping("getCarList")
    public AjaxResult getCarList(ParamDto dto){
        return service.getCarList(dto);
    }

    @ApiOperation(value = "项目进度")
    @GetMapping("proProgress")
    public AjaxResult proProgress(ParamDto dto){
        return service.proProgress(dto);
    }

    @ApiOperation(value = "告警")
    @GetMapping("alarmLists")
    public AjaxResult alarmLists(ParamDto dto){
        return service.alarmLists(dto);
    }

    @ApiOperation(value = "工程管理")
    @GetMapping("proManagement")
    public AjaxResult proManagement(ParamDto dto){
        return service.proManagement(dto);
    }
}
